Subject: [sup-talk] invalid source error

From: [email-masked] (Mariano Mara)
Date: Thu, 18 Jun 2009 14:31:45 -0300

Hi everyone. I have been using sup for quite some time now (great
software by the way) and although I'm not using it as my main mail
client I find it really useful to read several mailing lists I'm
subscribed. 
I downloaded a few mailman archives and after a little formatting I was
able to import them in sup as mboxes. One of them, however had a lot of
errors when trying sup-sync and after a few hours of troubleshooting I
gave up and remove it (not knowing a better way, I just deleted it from
my sources.yaml).
But now, when I try to start sup I'm hitting 

--- RuntimeError from thread: load threads for thread-index-mode
invalid source 19

Of course source 19 does not exist any more in sources.yaml and I don't
know what else I can do to fix it.
If you guys can give an advice I will really appreciate it.

This is my current sup version:
$ sup --version
[Thu Jun 18 14:30:08 -0300 2009] using character set encoding "UTF-8"
sup v0.8.1

and this is the content of exception-log.txt

--- RuntimeError from thread: load threads for thread-index-mode
invalid source 19
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/index.rb:403:in
`build_message'
/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/index.rb:399:in
`build_message'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/index.rb:297:in
`each_id_by_date'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/thread.rb:330:in `call'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/thread.rb:330:in
`load_n_threads'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/index.rb:297:in
`each_id_by_date'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/index.rb:296:in `each'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/index.rb:296:in
`each_id_by_date'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/thread.rb:326:in
`load_n_threads'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/modes/thread-index-mode.rb:620:in
`__unprotected_load_n_threads'
(eval):12:in `load_n_threads'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/modes/thread-index-mode.rb:604:in
`load_n_threads_background'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup.rb:71:in
`reporting_thread'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup.rb:69:in `initialize'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup.rb:69:in `new'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup.rb:69:in
`reporting_thread'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/modes/thread-index-mode.rb:603:in
`load_n_threads_background'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/lib/sup/modes/thread-index-mode.rb:673:in
`__unprotected_load_threads'
(eval):12:in `load_threads'
/usr/lib/ruby/gems/1.8/gems/sup-0.8.1/bin/sup:206
/usr/bin/sup:19:in `load'
/usr/bin/sup:19

Mariano